---
lang: en
title: 'API docs: graphql.graphqlbindings.graphql_context_resolver'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/graphql
permalink: /doc/en/lb4/apidocs.graphql.graphqlbindings.graphql_context_resolver.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/graphql](./graphql.md) &gt; [GraphQLBindings](./graphql.graphqlbindings.md) &gt; [GRAPHQL\_CONTEXT\_RESOLVER](./graphql.graphqlbindings.graphql_context_resolver.md)

## GraphQLBindings.GRAPHQL\_CONTEXT\_RESOLVER variable

Binding key for the GraphQL context resolver

**Signature:**

```typescript
GRAPHQL_CONTEXT_RESOLVER: BindingKey<import("@apollo/server").ContextFunction<[import("@apollo/server/dist/esm/express4").ExpressContextFunctionArgument], {
        [key: string]: unknown;
    }> | undefined>
```

